<div class="search-container" [ngClass]="{ active: searchActive }">
  <button class="text-color-white" mat-icon-button (click)="toggleSearch()">
    <mat-icon>search</mat-icon>
  </button>
  <input
    *ngIf="searchActive"
    [(ngModel)]="searchTerm"
    placeholder="Search for anything you need"
  />
</div>
